commit f842d52a1f24f6295633c7b6b10a1729167d2a9a
Author: Julien Enselme <julien.enselme@centrale-marseille.fr>
Date:   Thu Jul 17 19:20:30 2014 +0200

    Update to 7.28

diff --git a/drupal7/CHANGELOG.txt b/drupal7/CHANGELOG.txt
index ed734316..f25e2535 100644
--- a/drupal7/CHANGELOG.txt
+++ b/drupal7/CHANGELOG.txt
@@ -1,3 +1,6 @@
+Drupal 7.29, 2014-07-16
+----------------------
+- Fixed security issues (multiple vulnerabilities). See SA-CORE-2014-003.
 
 Drupal 7.28, 2014-05-08
 -----------------------
diff --git a/drupal7/includes/bootstrap.inc b/drupal7/includes/bootstrap.inc
index 09c2044b..d8120cba 100644
--- a/drupal7/includes/bootstrap.inc
+++ b/drupal7/includes/bootstrap.inc
@@ -8,7 +8,7 @@
 /**
  * The current system version.
  */
-define('VERSION', '7.28');
+define('VERSION', '7.29');
 
 /**
  * Core API compatibility.
@@ -700,7 +700,14 @@ function drupal_environment_initialize() {
  *  TRUE if only containing valid characters, or FALSE otherwise.
  */
 function drupal_valid_http_host($host) {
-  return preg_match('/^\[?(?:[a-zA-Z0-9-:\]_]+\.?)+$/', $host);
+  // Limit the length of the host name to 1000 bytes to prevent DoS attacks with
+  // long host names.
+  return strlen($host) <= 1000
+    // Limit the number of subdomains and port separators to prevent DoS attacks
+    // in conf_path().
+    && substr_count($host, '.') <= 100
+    && substr_count($host, ':') <= 100
+    && preg_match('/^\[?(?:[a-zA-Z0-9-:\]_]+\.?)+$/', $host);
 }
 
 /**
diff --git a/drupal7/includes/file.inc b/drupal7/includes/file.inc
index 834699f1..d3008cc4 100644
--- a/drupal7/includes/file.inc
+++ b/drupal7/includes/file.inc
@@ -1999,23 +1999,7 @@ function file_download() {
   $target = implode('/', $args);
   $uri = $scheme . '://' . $target;
   if (file_stream_wrapper_valid_scheme($scheme) && file_exists($uri)) {
-    // Let other modules provide headers and controls access to the file.
-    // module_invoke_all() uses array_merge_recursive() which merges header
-    // values into a new array. To avoid that and allow modules to override
-    // headers instead, use array_merge() to merge the returned arrays.
-    $headers = array();
-    foreach (module_implements('file_download') as $module) {
-      $function = $module . '_file_download';
-      $result = $function($uri);
-      if ($result == -1) {
-        // Throw away the headers received so far.
-        $headers = array();
-        break;
-      }
-      if (isset($result) && is_array($result)) {
-        $headers = array_merge($headers, $result);
-      }
-    }
+    $headers = file_download_headers($uri);
     if (count($headers)) {
       file_transfer($uri, $headers);
     }
@@ -2027,6 +2011,69 @@ function file_download() {
   drupal_exit();
 }
 
+/**
+ * Retrieves headers for a private file download.
+ *
+ * Calls all module implementations of hook_file_download() to retrieve headers
+ * for files by the module that originally provided the file. The presence of
+ * returned headers indicates the current user has access to the file.
+ *
+ * @param $uri
+ *   The URI for the file whose headers should be retrieved.
+ *
+ * @return
+ *   If access is allowed, headers for the file, suitable for passing to
+ *   file_transfer(). If access is not allowed, an empty array will be returned.
+ *
+ * @see file_transfer()
+ * @see file_download_access()
+ * @see hook_file_downlaod()
+ */
+function file_download_headers($uri) {
+  // Let other modules provide headers and control access to the file.
+  // module_invoke_all() uses array_merge_recursive() which merges header
+  // values into a new array. To avoid that and allow modules to override
+  // headers instead, use array_merge() to merge the returned arrays.
+  $headers = array();
+  foreach (module_implements('file_download') as $module) {
+    $function = $module . '_file_download';
+    $result = $function($uri);
+    if ($result == -1) {
+      // Throw away the headers received so far.
+      $headers = array();
+      break;
+    }
+    if (isset($result) && is_array($result)) {
+      $headers = array_merge($headers, $result);
+    }
+  }
+  return $headers;
+}
+
+/**
+ * Checks that the current user has access to a particular file.
+ *
+ * The return value of this function hinges on the return value from
+ * file_download_headers(), which is the function responsible for collecting
+ * access information through hook_file_download().
+ *
+ * If immediately transferring the file to the browser and the headers will
+ * need to be retrieved, the return value of file_download_headers() should be
+ * used to determine access directly, so that access checks will not be run
+ * twice.
+ *
+ * @param $uri
+ *   The URI for the file whose access should be retrieved.
+ *
+ * @return
+ *   Boolean TRUE if access is allowed. FALSE if access is not allowed.
+ *
+ * @see file_download_headers()
+ * @see hook_file_download()
+ */
+function file_download_access($uri) {
+  return count(file_download_headers($uri)) > 0;
+}
 
 /**
  * Finds all files that match a given mask in a given directory.
diff --git a/drupal7/includes/form.inc b/drupal7/includes/form.inc
index 846bcb51..3840885c 100644
--- a/drupal7/includes/form.inc
+++ b/drupal7/includes/form.inc
@@ -2722,7 +2722,7 @@ function form_select_options($element, $choices = NULL) {
   $options = '';
   foreach ($choices as $key => $choice) {
     if (is_array($choice)) {
-      $options .= '<optgroup label="' . $key . '">';
+      $options .= '<optgroup label="' . check_plain($key) . '">';
       $options .= form_select_options($element, $choice);
       $options .= '</optgroup>';
     }
diff --git a/drupal7/misc/ajax.js b/drupal7/misc/ajax.js
index 29483b49..3b9dec61 100644
--- a/drupal7/misc/ajax.js
+++ b/drupal7/misc/ajax.js
@@ -348,7 +348,7 @@ Drupal.ajax.prototype.beforeSend = function (xmlhttprequest, options) {
     // this is only needed for IFRAME submissions.
     var v = $.fieldValue(this.element);
     if (v !== null) {
-      options.extraData[this.element.name] = v;
+      options.extraData[this.element.name] = Drupal.checkPlain(v);
     }
   }
 
diff --git a/drupal7/modules/aggregator/aggregator.info b/drupal7/modules/aggregator/aggregator.info
index 57ae3139..72a27f9a 100644
--- a/drupal7/modules/aggregator/aggregator.info
+++ b/drupal7/modules/aggregator/aggregator.info
@@ -7,8 +7,8 @@ files[] = aggregator.test
 configure = admin/config/services/aggregator/settings
 stylesheets[all][] = aggregator.css
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/aggregator/tests/aggregator_test.info b/drupal7/modules/aggregator/tests/aggregator_test.info
index 53c583c7..645aebae 100644
--- a/drupal7/modules/aggregator/tests/aggregator_test.info
+++ b/drupal7/modules/aggregator/tests/aggregator_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/block/block.info b/drupal7/modules/block/block.info
index 571b335a..2ff09dd8 100644
--- a/drupal7/modules/block/block.info
+++ b/drupal7/modules/block/block.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = block.test
 configure = admin/structure/block
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/block/tests/block_test.info b/drupal7/modules/block/tests/block_test.info
index 759ecbe9..1a6f817b 100644
--- a/drupal7/modules/block/tests/block_test.info
+++ b/drupal7/modules/block/tests/block_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
index 36a43c21..6a0052e0 100644
--- a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
+++ b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
@@ -13,8 +13,8 @@ regions[footer] = Footer
 regions[highlighted] = Highlighted
 regions[help] = Help
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/blog/blog.info b/drupal7/modules/blog/blog.info
index ae262016..193d79bc 100644
--- a/drupal7/modules/blog/blog.info
+++ b/drupal7/modules/blog/blog.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = blog.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/book/book.info b/drupal7/modules/book/book.info
index 297366b7..e4501cbf 100644
--- a/drupal7/modules/book/book.info
+++ b/drupal7/modules/book/book.info
@@ -7,8 +7,8 @@ files[] = book.test
 configure = admin/content/book/settings
 stylesheets[all][] = book.css
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/color/color.info b/drupal7/modules/color/color.info
index 0c35d986..2bf85b5c 100644
--- a/drupal7/modules/color/color.info
+++ b/drupal7/modules/color/color.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = color.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/comment/comment.info b/drupal7/modules/comment/comment.info
index 7c344ac0..46bb174f 100644
--- a/drupal7/modules/comment/comment.info
+++ b/drupal7/modules/comment/comment.info
@@ -9,8 +9,8 @@ files[] = comment.test
 configure = admin/content/comment
 stylesheets[all][] = comment.css
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/contact/contact.info b/drupal7/modules/contact/contact.info
index 875ec0ba..7e07c2dc 100644
--- a/drupal7/modules/contact/contact.info
+++ b/drupal7/modules/contact/contact.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = contact.test
 configure = admin/structure/contact
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/contextual/contextual.info b/drupal7/modules/contextual/contextual.info
index 617ad68c..c3ad394e 100644
--- a/drupal7/modules/contextual/contextual.info
+++ b/drupal7/modules/contextual/contextual.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = contextual.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/dashboard/dashboard.info b/drupal7/modules/dashboard/dashboard.info
index 12f890a4..71c6c9f8 100644
--- a/drupal7/modules/dashboard/dashboard.info
+++ b/drupal7/modules/dashboard/dashboard.info
@@ -7,8 +7,8 @@ files[] = dashboard.test
 dependencies[] = block
 configure = admin/dashboard/customize
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/dblog/dblog.info b/drupal7/modules/dblog/dblog.info
index 09d28969..f799e170 100644
--- a/drupal7/modules/dblog/dblog.info
+++ b/drupal7/modules/dblog/dblog.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = dblog.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/field/field.info b/drupal7/modules/field/field.info
index 72ee3bd4..232739bb 100644
--- a/drupal7/modules/field/field.info
+++ b/drupal7/modules/field/field.info
@@ -11,8 +11,8 @@ dependencies[] = field_sql_storage
 required = TRUE
 stylesheets[all][] = theme/field.css
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
index 2cd799ac..72134db2 100644
--- a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
+++ b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
@@ -7,8 +7,8 @@ dependencies[] = field
 files[] = field_sql_storage.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/field/modules/list/list.info b/drupal7/modules/field/modules/list/list.info
index 14226b9e..d75b05b4 100644
--- a/drupal7/modules/field/modules/list/list.info
+++ b/drupal7/modules/field/modules/list/list.info
@@ -7,8 +7,8 @@ dependencies[] = field
 dependencies[] = options
 files[] = tests/list.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/field/modules/list/tests/list_test.info b/drupal7/modules/field/modules/list/tests/list_test.info
index 6089a469..3cc0f138 100644
--- a/drupal7/modules/field/modules/list/tests/list_test.info
+++ b/drupal7/modules/field/modules/list/tests/list_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/field/modules/number/number.info b/drupal7/modules/field/modules/number/number.info
index d4eeafe2..ee15dcd4 100644
--- a/drupal7/modules/field/modules/number/number.info
+++ b/drupal7/modules/field/modules/number/number.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = number.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/field/modules/options/options.info b/drupal7/modules/field/modules/options/options.info
index 0dd78c24..c9d9ba93 100644
--- a/drupal7/modules/field/modules/options/options.info
+++ b/drupal7/modules/field/modules/options/options.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = options.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/field/modules/text/text.info b/drupal7/modules/field/modules/text/text.info
index ce42e0a1..dc82b524 100644
--- a/drupal7/modules/field/modules/text/text.info
+++ b/drupal7/modules/field/modules/text/text.info
@@ -7,8 +7,8 @@ dependencies[] = field
 files[] = text.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/field/tests/field_test.info b/drupal7/modules/field/tests/field_test.info
index 7a17d30a..790fb3ee 100644
--- a/drupal7/modules/field/tests/field_test.info
+++ b/drupal7/modules/field/tests/field_test.info
@@ -6,8 +6,8 @@ files[] = field_test.entity.inc
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/field_ui/field_ui.info b/drupal7/modules/field_ui/field_ui.info
index f00cc4fb..bc179676 100644
--- a/drupal7/modules/field_ui/field_ui.info
+++ b/drupal7/modules/field_ui/field_ui.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = field_ui.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/file/file.info b/drupal7/modules/file/file.info
index 418b3843..ac49c547 100644
--- a/drupal7/modules/file/file.info
+++ b/drupal7/modules/file/file.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = tests/file.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/file/file.module b/drupal7/modules/file/file.module
index 5a635fd7..ed165368 100644
--- a/drupal7/modules/file/file.module
+++ b/drupal7/modules/file/file.module
@@ -510,8 +510,9 @@ function file_managed_file_value(&$element, $input = FALSE, $form_state = NULL)
           $callback($element, $input, $form_state);
         }
       }
-      // Load file if the FID has changed to confirm it exists.
-      if (isset($input['fid']) && $file = file_load($input['fid'])) {
+      // Load file and check access if the FID has changed, to confirm it
+      // exists and that the current user has access to it.
+      if (isset($input['fid']) && ($file = file_load($input['fid'])) && file_download_access($file->uri)) {
         $fid = $file->fid;
       }
     }
diff --git a/drupal7/modules/file/tests/file.test b/drupal7/modules/file/tests/file.test
index 69e711a3..4d53d747 100644
--- a/drupal7/modules/file/tests/file.test
+++ b/drupal7/modules/file/tests/file.test
@@ -1167,5 +1167,18 @@ class FilePrivateTestCase extends FileFieldTestCase {
     // Ensure the file cannot be downloaded.
     $this->drupalGet(file_create_url($node_file->uri));
     $this->assertResponse(403, 'Confirmed that access is denied for the file without view field access permission.');
+
+    // Attempt to reuse the existing file when creating a new node, and confirm
+    // that access is still denied.
+    $edit = array();
+    $edit['title'] = $this->randomName(8);
+    $edit[$field_name . '[' . LANGUAGE_NONE . '][0][fid]'] = $node_file->fid;
+    $this->drupalPost('node/add/page', $edit, t('Save'));
+    $new_node = $this->drupalGetNodeByTitle($edit['title']);
+    $this->assertTrue(!empty($new_node), 'Node was created.');
+    $this->assertUrl('node/' . $new_node->nid);
+    $this->assertNoRaw($node_file->filename, 'File without view field access permission does not appear after attempting to attach it to a new node.');
+    $this->drupalGet(file_create_url($node_file->uri));
+    $this->assertResponse(403, 'Confirmed that access is denied for the file without view field access permission after attempting to attach it to a new node.');
   }
 }
diff --git a/drupal7/modules/file/tests/file_module_test.info b/drupal7/modules/file/tests/file_module_test.info
index 09418495..15f0a043 100644
--- a/drupal7/modules/file/tests/file_module_test.info
+++ b/drupal7/modules/file/tests/file_module_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/filter/filter.info b/drupal7/modules/filter/filter.info
index 7d26d478..f4c9c23f 100644
--- a/drupal7/modules/filter/filter.info
+++ b/drupal7/modules/filter/filter.info
@@ -7,8 +7,8 @@ files[] = filter.test
 required = TRUE
 configure = admin/config/content/formats
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/forum/forum.info b/drupal7/modules/forum/forum.info
index e28d10e1..744c6470 100644
--- a/drupal7/modules/forum/forum.info
+++ b/drupal7/modules/forum/forum.info
@@ -9,8 +9,8 @@ files[] = forum.test
 configure = admin/structure/forum
 stylesheets[all][] = forum.css
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/help/help.info b/drupal7/modules/help/help.info
index f882a440..0e24f89a 100644
--- a/drupal7/modules/help/help.info
+++ b/drupal7/modules/help/help.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = help.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/image/image.info b/drupal7/modules/image/image.info
index a1adc322..a1544c35 100644
--- a/drupal7/modules/image/image.info
+++ b/drupal7/modules/image/image.info
@@ -7,8 +7,8 @@ dependencies[] = file
 files[] = image.test
 configure = admin/config/media/image-styles
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/image/tests/image_module_test.info b/drupal7/modules/image/tests/image_module_test.info
index 21dfb92c..43840d79 100644
--- a/drupal7/modules/image/tests/image_module_test.info
+++ b/drupal7/modules/image/tests/image_module_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = image_module_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/locale/locale.info b/drupal7/modules/locale/locale.info
index b9868f3d..6182cd9e 100644
--- a/drupal7/modules/locale/locale.info
+++ b/drupal7/modules/locale/locale.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = locale.test
 configure = admin/config/regional/language
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/locale/tests/locale_test.info b/drupal7/modules/locale/tests/locale_test.info
index 868b6831..5a6e122c 100644
--- a/drupal7/modules/locale/tests/locale_test.info
+++ b/drupal7/modules/locale/tests/locale_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/menu/menu.info b/drupal7/modules/menu/menu.info
index f941c232..f58059f3 100644
--- a/drupal7/modules/menu/menu.info
+++ b/drupal7/modules/menu/menu.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = menu.test
 configure = admin/structure/menu
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/node/node.info b/drupal7/modules/node/node.info
index f0acbc5f..21f4db10 100644
--- a/drupal7/modules/node/node.info
+++ b/drupal7/modules/node/node.info
@@ -9,8 +9,8 @@ required = TRUE
 configure = admin/structure/types
 stylesheets[all][] = node.css
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/node/tests/node_access_test.info b/drupal7/modules/node/tests/node_access_test.info
index a2216141..070c04a0 100644
--- a/drupal7/modules/node/tests/node_access_test.info
+++ b/drupal7/modules/node/tests/node_access_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/node/tests/node_test.info b/drupal7/modules/node/tests/node_test.info
index 5b28222d..2ba56860 100644
--- a/drupal7/modules/node/tests/node_test.info
+++ b/drupal7/modules/node/tests/node_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/node/tests/node_test_exception.info b/drupal7/modules/node/tests/node_test_exception.info
index 92eba8fc..1cff0e9e 100644
--- a/drupal7/modules/node/tests/node_test_exception.info
+++ b/drupal7/modules/node/tests/node_test_exception.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/openid/openid.info b/drupal7/modules/openid/openid.info
index b92aacd1..a5b330cc 100644
--- a/drupal7/modules/openid/openid.info
+++ b/drupal7/modules/openid/openid.info
@@ -5,8 +5,8 @@ package = Core
 core = 7.x
 files[] = openid.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/openid/tests/openid_test.info b/drupal7/modules/openid/tests/openid_test.info
index b17175e3..a7050769 100644
--- a/drupal7/modules/openid/tests/openid_test.info
+++ b/drupal7/modules/openid/tests/openid_test.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = openid
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/overlay/overlay.info b/drupal7/modules/overlay/overlay.info
index e559572a..875e6f42 100644
--- a/drupal7/modules/overlay/overlay.info
+++ b/drupal7/modules/overlay/overlay.info
@@ -4,8 +4,8 @@ package = Core
 version = VERSION
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/path/path.info b/drupal7/modules/path/path.info
index d4f5b55f..5e7773f3 100644
--- a/drupal7/modules/path/path.info
+++ b/drupal7/modules/path/path.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = path.test
 configure = admin/config/search/path
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/php/php.info b/drupal7/modules/php/php.info
index aa5f7633..9fbc4325 100644
--- a/drupal7/modules/php/php.info
+++ b/drupal7/modules/php/php.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = php.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/poll/poll.info b/drupal7/modules/poll/poll.info
index fe99797f..4f2124f4 100644
--- a/drupal7/modules/poll/poll.info
+++ b/drupal7/modules/poll/poll.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = poll.test
 stylesheets[all][] = poll.css
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/profile/profile.info b/drupal7/modules/profile/profile.info
index 68a5f07f..00c63ea2 100644
--- a/drupal7/modules/profile/profile.info
+++ b/drupal7/modules/profile/profile.info
@@ -11,8 +11,8 @@ configure = admin/config/people/profile
 ; See user_system_info_alter().
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/rdf/rdf.info b/drupal7/modules/rdf/rdf.info
index dba2b8e3..ac75ab3a 100644
--- a/drupal7/modules/rdf/rdf.info
+++ b/drupal7/modules/rdf/rdf.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = rdf.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/rdf/tests/rdf_test.info b/drupal7/modules/rdf/tests/rdf_test.info
index 286b5cce..7b1ac31a 100644
--- a/drupal7/modules/rdf/tests/rdf_test.info
+++ b/drupal7/modules/rdf/tests/rdf_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/search/search.info b/drupal7/modules/search/search.info
index cdf9b209..014f0906 100644
--- a/drupal7/modules/search/search.info
+++ b/drupal7/modules/search/search.info
@@ -8,8 +8,8 @@ files[] = search.test
 configure = admin/config/search/settings
 stylesheets[all][] = search.css
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/search/tests/search_embedded_form.info b/drupal7/modules/search/tests/search_embedded_form.info
index 9f3d6532..37b2f734 100644
--- a/drupal7/modules/search/tests/search_embedded_form.info
+++ b/drupal7/modules/search/tests/search_embedded_form.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/search/tests/search_extra_type.info b/drupal7/modules/search/tests/search_extra_type.info
index c96e6eef..43146cf5 100644
--- a/drupal7/modules/search/tests/search_extra_type.info
+++ b/drupal7/modules/search/tests/search_extra_type.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/shortcut/shortcut.info b/drupal7/modules/shortcut/shortcut.info
index 1ef44041..984cb0b3 100644
--- a/drupal7/modules/shortcut/shortcut.info
+++ b/drupal7/modules/shortcut/shortcut.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = shortcut.test
 configure = admin/config/user-interface/shortcut
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/simpletest.info b/drupal7/modules/simpletest/simpletest.info
index 8c71aabe..525d0a06 100644
--- a/drupal7/modules/simpletest/simpletest.info
+++ b/drupal7/modules/simpletest/simpletest.info
@@ -56,8 +56,8 @@ files[] = tests/upgrade/update.trigger.test
 files[] = tests/upgrade/update.field.test
 files[] = tests/upgrade/update.user.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/actions_loop_test.info b/drupal7/modules/simpletest/tests/actions_loop_test.info
index a202dff6..088c9f55 100644
--- a/drupal7/modules/simpletest/tests/actions_loop_test.info
+++ b/drupal7/modules/simpletest/tests/actions_loop_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/ajax_forms_test.info b/drupal7/modules/simpletest/tests/ajax_forms_test.info
index b0e0b331..a15ae837 100644
--- a/drupal7/modules/simpletest/tests/ajax_forms_test.info
+++ b/drupal7/modules/simpletest/tests/ajax_forms_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/ajax_test.info b/drupal7/modules/simpletest/tests/ajax_test.info
index f464c091..a8a27e2e 100644
--- a/drupal7/modules/simpletest/tests/ajax_test.info
+++ b/drupal7/modules/simpletest/tests/ajax_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/batch_test.info b/drupal7/modules/simpletest/tests/batch_test.info
index 4c004910..70ae45a0 100644
--- a/drupal7/modules/simpletest/tests/batch_test.info
+++ b/drupal7/modules/simpletest/tests/batch_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/bootstrap.test b/drupal7/modules/simpletest/tests/bootstrap.test
index 4fda15c8..5dcde325 100644
--- a/drupal7/modules/simpletest/tests/bootstrap.test
+++ b/drupal7/modules/simpletest/tests/bootstrap.test
@@ -93,6 +93,11 @@ class BootstrapIPAddressTestCase extends DrupalWebTestCase {
     $this->assertFalse(drupal_valid_http_host('security\\.drupal.org:80'), 'HTTP_HOST with \\ is invalid');
     $this->assertFalse(drupal_valid_http_host('security<.drupal.org:80'), 'HTTP_HOST with &lt; is invalid');
     $this->assertFalse(drupal_valid_http_host('security..drupal.org:80'), 'HTTP_HOST with .. is invalid');
+    // Verifies that host names are shorter than 1000 characters.
+    $this->assertFalse(drupal_valid_http_host(str_repeat('x', 1001)), 'HTTP_HOST with more than 1000 characters is invalid.');
+    $this->assertFalse(drupal_valid_http_host(str_repeat('.', 101)), 'HTTP_HOST with more than 100 subdomains is invalid.');
+    $this->assertFalse(drupal_valid_http_host(str_repeat(':', 101)), 'HTTP_HOST with more than 100 portseparators is invalid.');
+
     // IPv6 loopback address
     $this->assertTrue(drupal_valid_http_host('[::1]:80'), 'HTTP_HOST containing IPv6 loopback is valid');
   }
diff --git a/drupal7/modules/simpletest/tests/common_test.info b/drupal7/modules/simpletest/tests/common_test.info
index 51bd7713..f42e48f3 100644
--- a/drupal7/modules/simpletest/tests/common_test.info
+++ b/drupal7/modules/simpletest/tests/common_test.info
@@ -7,8 +7,8 @@ stylesheets[all][] = common_test.css
 stylesheets[print][] = common_test.print.css
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/common_test_cron_helper.info b/drupal7/modules/simpletest/tests/common_test_cron_helper.info
index 7869526e..b2fd4686 100644
--- a/drupal7/modules/simpletest/tests/common_test_cron_helper.info
+++ b/drupal7/modules/simpletest/tests/common_test_cron_helper.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/database_test.info b/drupal7/modules/simpletest/tests/database_test.info
index 62b59335..4a05b7c4 100644
--- a/drupal7/modules/simpletest/tests/database_test.info
+++ b/drupal7/modules/simpletest/tests/database_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info b/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
index 39fd955c..048a7021 100644
--- a/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
+++ b/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info b/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
index 87ed7d44..067b1ae6 100644
--- a/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
+++ b/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/entity_cache_test.info b/drupal7/modules/simpletest/tests/entity_cache_test.info
index d9ecc8ba..a439b39d 100644
--- a/drupal7/modules/simpletest/tests/entity_cache_test.info
+++ b/drupal7/modules/simpletest/tests/entity_cache_test.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = entity_cache_test_dependency
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info b/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
index 0751b37e..0baf92ee 100644
--- a/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
+++ b/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/entity_crud_hook_test.info b/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
index c2b90c78..6284297c 100644
--- a/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
+++ b/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/entity_query_access_test.info b/drupal7/modules/simpletest/tests/entity_query_access_test.info
index 7039eea5..c1f6337a 100644
--- a/drupal7/modules/simpletest/tests/entity_query_access_test.info
+++ b/drupal7/modules/simpletest/tests/entity_query_access_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/error_test.info b/drupal7/modules/simpletest/tests/error_test.info
index c42bc9ef..eaddc7d2 100644
--- a/drupal7/modules/simpletest/tests/error_test.info
+++ b/drupal7/modules/simpletest/tests/error_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/file_test.info b/drupal7/modules/simpletest/tests/file_test.info
index 771b3ca0..2d38034f 100644
--- a/drupal7/modules/simpletest/tests/file_test.info
+++ b/drupal7/modules/simpletest/tests/file_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = file_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/filter_test.info b/drupal7/modules/simpletest/tests/filter_test.info
index 21110a3a..83d8bb01 100644
--- a/drupal7/modules/simpletest/tests/filter_test.info
+++ b/drupal7/modules/simpletest/tests/filter_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/form_test.info b/drupal7/modules/simpletest/tests/form_test.info
index b0303de4..1477259e 100644
--- a/drupal7/modules/simpletest/tests/form_test.info
+++ b/drupal7/modules/simpletest/tests/form_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/image_test.info b/drupal7/modules/simpletest/tests/image_test.info
index f46c00e6..1a71fa58 100644
--- a/drupal7/modules/simpletest/tests/image_test.info
+++ b/drupal7/modules/simpletest/tests/image_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/menu_test.info b/drupal7/modules/simpletest/tests/menu_test.info
index c656a1b2..ffcf42f5 100644
--- a/drupal7/modules/simpletest/tests/menu_test.info
+++ b/drupal7/modules/simpletest/tests/menu_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/module_test.info b/drupal7/modules/simpletest/tests/module_test.info
index 0d395252..3ecc65eb 100644
--- a/drupal7/modules/simpletest/tests/module_test.info
+++ b/drupal7/modules/simpletest/tests/module_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/path_test.info b/drupal7/modules/simpletest/tests/path_test.info
index ecc90be6..98da6540 100644
--- a/drupal7/modules/simpletest/tests/path_test.info
+++ b/drupal7/modules/simpletest/tests/path_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info b/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
index 187a2cc4..5147e797 100644
--- a/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
+++ b/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
@@ -5,8 +5,8 @@ core = 7.x
 hidden = TRUE
 package = Testing
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/requirements1_test.info b/drupal7/modules/simpletest/tests/requirements1_test.info
index 509bddcf..b9a424bc 100644
--- a/drupal7/modules/simpletest/tests/requirements1_test.info
+++ b/drupal7/modules/simpletest/tests/requirements1_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/requirements2_test.info b/drupal7/modules/simpletest/tests/requirements2_test.info
index a79154fe..536581bc 100644
--- a/drupal7/modules/simpletest/tests/requirements2_test.info
+++ b/drupal7/modules/simpletest/tests/requirements2_test.info
@@ -7,8 +7,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/session_test.info b/drupal7/modules/simpletest/tests/session_test.info
index a4079fcb..2e224970 100644
--- a/drupal7/modules/simpletest/tests/session_test.info
+++ b/drupal7/modules/simpletest/tests/session_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/system_dependencies_test.info b/drupal7/modules/simpletest/tests/system_dependencies_test.info
index f43455e3..c36d8438 100644
--- a/drupal7/modules/simpletest/tests/system_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_dependencies_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = _missing_dependency
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info b/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
index e8ffcf22..aa49b2ea 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = system_incompatible_core_version_test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info b/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
index 4df3730f..d0f937dc 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 5.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info b/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
index 7ec488bf..c5d5feaf 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
@@ -7,8 +7,8 @@ hidden = TRUE
 ; system_incompatible_module_version_test declares version 1.0
 dependencies[] = system_incompatible_module_version_test (>2.0)
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info b/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
index cc613241..ed106ff2 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
@@ -5,8 +5,8 @@ version = 1.0
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/system_test.info b/drupal7/modules/simpletest/tests/system_test.info
index f55a6890..d45e102f 100644
--- a/drupal7/modules/simpletest/tests/system_test.info
+++ b/drupal7/modules/simpletest/tests/system_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = system_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/taxonomy_test.info b/drupal7/modules/simpletest/tests/taxonomy_test.info
index 293cb1fb..472ca59b 100644
--- a/drupal7/modules/simpletest/tests/taxonomy_test.info
+++ b/drupal7/modules/simpletest/tests/taxonomy_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = taxonomy
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/theme_test.info b/drupal7/modules/simpletest/tests/theme_test.info
index d23d6058..0216f5e4 100644
--- a/drupal7/modules/simpletest/tests/theme_test.info
+++ b/drupal7/modules/simpletest/tests/theme_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info b/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
index 6eb3e0eb..15e9a281 100644
--- a/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
@@ -6,8 +6,8 @@ hidden = TRUE
 settings[basetheme_only] = base theme value
 settings[subtheme_override] = base theme value
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info b/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
index 8163e62f..dc39de45 100644
--- a/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
@@ -6,8 +6,8 @@ hidden = TRUE
 
 settings[subtheme_override] = subtheme value
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info b/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
index 6edff7b2..d87aa3d0 100644
--- a/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
@@ -17,8 +17,8 @@ stylesheets[all][] = system.base.css
 
 settings[theme_test_setting] = default value
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/update_script_test.info b/drupal7/modules/simpletest/tests/update_script_test.info
index 49f5c908..f45681e9 100644
--- a/drupal7/modules/simpletest/tests/update_script_test.info
+++ b/drupal7/modules/simpletest/tests/update_script_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_1.info b/drupal7/modules/simpletest/tests/update_test_1.info
index d70f2152..c5f7f7d6 100644
--- a/drupal7/modules/simpletest/tests/update_test_1.info
+++ b/drupal7/modules/simpletest/tests/update_test_1.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_2.info b/drupal7/modules/simpletest/tests/update_test_2.info
index d70f2152..c5f7f7d6 100644
--- a/drupal7/modules/simpletest/tests/update_test_2.info
+++ b/drupal7/modules/simpletest/tests/update_test_2.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_3.info b/drupal7/modules/simpletest/tests/update_test_3.info
index d70f2152..c5f7f7d6 100644
--- a/drupal7/modules/simpletest/tests/update_test_3.info
+++ b/drupal7/modules/simpletest/tests/update_test_3.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/url_alter_test.info b/drupal7/modules/simpletest/tests/url_alter_test.info
index f4611d40..68a9d68f 100644
--- a/drupal7/modules/simpletest/tests/url_alter_test.info
+++ b/drupal7/modules/simpletest/tests/url_alter_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/simpletest/tests/xmlrpc_test.info b/drupal7/modules/simpletest/tests/xmlrpc_test.info
index 3a641f4d..87cf4e45 100644
--- a/drupal7/modules/simpletest/tests/xmlrpc_test.info
+++ b/drupal7/modules/simpletest/tests/xmlrpc_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/statistics/statistics.info b/drupal7/modules/statistics/statistics.info
index df51af26..953e5dab 100644
--- a/drupal7/modules/statistics/statistics.info
+++ b/drupal7/modules/statistics/statistics.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = statistics.test
 configure = admin/config/system/statistics
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/syslog/syslog.info b/drupal7/modules/syslog/syslog.info
index 54c246bf..601b9c33 100644
--- a/drupal7/modules/syslog/syslog.info
+++ b/drupal7/modules/syslog/syslog.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = syslog.test
 configure = admin/config/development/logging
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/system/system.info b/drupal7/modules/system/system.info
index 79b57d4b..c18386b4 100644
--- a/drupal7/modules/system/system.info
+++ b/drupal7/modules/system/system.info
@@ -12,8 +12,8 @@ files[] = system.test
 required = TRUE
 configure = admin/config/system
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/system/tests/cron_queue_test.info b/drupal7/modules/system/tests/cron_queue_test.info
index da0984a1..fdfacd1c 100644
--- a/drupal7/modules/system/tests/cron_queue_test.info
+++ b/drupal7/modules/system/tests/cron_queue_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/taxonomy/taxonomy.info b/drupal7/modules/taxonomy/taxonomy.info
index d8dcd982..23a48a90 100644
--- a/drupal7/modules/taxonomy/taxonomy.info
+++ b/drupal7/modules/taxonomy/taxonomy.info
@@ -8,8 +8,8 @@ files[] = taxonomy.module
 files[] = taxonomy.test
 configure = admin/structure/taxonomy
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/toolbar/toolbar.info b/drupal7/modules/toolbar/toolbar.info
index 7cf9fd02..2b364f76 100644
--- a/drupal7/modules/toolbar/toolbar.info
+++ b/drupal7/modules/toolbar/toolbar.info
@@ -4,8 +4,8 @@ core = 7.x
 package = Core
 version = VERSION
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/tracker/tracker.info b/drupal7/modules/tracker/tracker.info
index 85826146..2aac659c 100644
--- a/drupal7/modules/tracker/tracker.info
+++ b/drupal7/modules/tracker/tracker.info
@@ -6,8 +6,8 @@ version = VERSION
 core = 7.x
 files[] = tracker.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/translation/tests/translation_test.info b/drupal7/modules/translation/tests/translation_test.info
index c959a4cd..224705e6 100644
--- a/drupal7/modules/translation/tests/translation_test.info
+++ b/drupal7/modules/translation/tests/translation_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/translation/translation.info b/drupal7/modules/translation/translation.info
index fa53de36..bfe277ff 100644
--- a/drupal7/modules/translation/translation.info
+++ b/drupal7/modules/translation/translation.info
@@ -6,8 +6,8 @@ version = VERSION
 core = 7.x
 files[] = translation.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/trigger/tests/trigger_test.info b/drupal7/modules/trigger/tests/trigger_test.info
index 8a0a3458..806e0476 100644
--- a/drupal7/modules/trigger/tests/trigger_test.info
+++ b/drupal7/modules/trigger/tests/trigger_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/trigger/trigger.info b/drupal7/modules/trigger/trigger.info
index 3ffb5f58..b17a1a59 100644
--- a/drupal7/modules/trigger/trigger.info
+++ b/drupal7/modules/trigger/trigger.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = trigger.test
 configure = admin/structure/trigger
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/update/tests/aaa_update_test.info b/drupal7/modules/update/tests/aaa_update_test.info
index f5c804f6..61109822 100644
--- a/drupal7/modules/update/tests/aaa_update_test.info
+++ b/drupal7/modules/update/tests/aaa_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/update/tests/bbb_update_test.info b/drupal7/modules/update/tests/bbb_update_test.info
index 9d1a30cc..bb7ece48 100644
--- a/drupal7/modules/update/tests/bbb_update_test.info
+++ b/drupal7/modules/update/tests/bbb_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/update/tests/ccc_update_test.info b/drupal7/modules/update/tests/ccc_update_test.info
index dbf63f6d..deb36338 100644
--- a/drupal7/modules/update/tests/ccc_update_test.info
+++ b/drupal7/modules/update/tests/ccc_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info b/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
index faa6cdff..9625ffc6 100644
--- a/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
+++ b/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
@@ -3,8 +3,8 @@ description = Test theme which acts as a base theme for other test subthemes.
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info b/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
index dced67c6..c48a2f7c 100644
--- a/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
+++ b/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
@@ -4,8 +4,8 @@ core = 7.x
 base theme = update_test_basetheme
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/update/tests/update_test.info b/drupal7/modules/update/tests/update_test.info
index af28f502..852849fe 100644
--- a/drupal7/modules/update/tests/update_test.info
+++ b/drupal7/modules/update/tests/update_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/update/update.info b/drupal7/modules/update/update.info
index f416d5de..a831b367 100644
--- a/drupal7/modules/update/update.info
+++ b/drupal7/modules/update/update.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = update.test
 configure = admin/reports/updates/settings
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/user/tests/user_form_test.info b/drupal7/modules/user/tests/user_form_test.info
index 2639cff1..1c26b36c 100644
--- a/drupal7/modules/user/tests/user_form_test.info
+++ b/drupal7/modules/user/tests/user_form_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/modules/user/user.info b/drupal7/modules/user/user.info
index c51b75b9..6788f669 100644
--- a/drupal7/modules/user/user.info
+++ b/drupal7/modules/user/user.info
@@ -9,8 +9,8 @@ required = TRUE
 configure = admin/config/people
 stylesheets[all][] = user.css
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/profiles/minimal/minimal.info b/drupal7/profiles/minimal/minimal.info
index 26b86610..d9924ad3 100644
--- a/drupal7/profiles/minimal/minimal.info
+++ b/drupal7/profiles/minimal/minimal.info
@@ -5,8 +5,8 @@ core = 7.x
 dependencies[] = block
 dependencies[] = dblog
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/profiles/standard/standard.info b/drupal7/profiles/standard/standard.info
index 54b5b917..e4555010 100644
--- a/drupal7/profiles/standard/standard.info
+++ b/drupal7/profiles/standard/standard.info
@@ -24,8 +24,8 @@ dependencies[] = field_ui
 dependencies[] = file
 dependencies[] = rdf
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/profiles/standard/translations/fr.po b/drupal7/profiles/standard/translations/fr.po
index c865cbf2..7a5ac312 100644
--- a/drupal7/profiles/standard/translations/fr.po
+++ b/drupal7/profiles/standard/translations/fr.po
@@ -1,10 +1,10 @@
-# French translation of Drupal core (7.27)
+# French translation of Drupal core (7.28)
 # Copyright (c) 2014 by the French translation team
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: Drupal core (7.27)\n"
-"POT-Creation-Date: 2014-04-27 18:16+0000\n"
+"Project-Id-Version: Drupal core (7.28)\n"
+"POT-Creation-Date: 2014-07-12 22:40+0000\n"
 "PO-Revision-Date: YYYY-mm-DD HH:MM+ZZZZ\n"
 "Language-Team: French\n"
 "MIME-Version: 1.0\n"
@@ -227,7 +227,7 @@ msgstr "Aucune entrée du journal n'est disponible."
 msgid "Password"
 msgstr "Mot de passe"
 msgid "- None -"
-msgstr "- Aucun -"
+msgstr "- Aucun(e) -"
 msgid "Weight"
 msgstr "Poids"
 msgid "The configuration options have been saved."
@@ -312,8 +312,6 @@ msgid "Update"
 msgstr "Mettre à jour"
 msgid "Open"
 msgstr "Ouvert"
-msgid "Top"
-msgstr "Haut"
 msgid "Sunday"
 msgstr "Dimanche"
 msgid "Monday"
@@ -532,8 +530,6 @@ msgid "Add block"
 msgstr "Ajouter un bloc"
 msgid "Page"
 msgstr "Page"
-msgid "Bottom"
-msgstr "Bas"
 msgid "RSS"
 msgstr "RSS"
 msgid "1 hour"
@@ -1755,10 +1751,6 @@ msgid "First day of week"
 msgstr "Premier jour de la semaine"
 msgid "Autocomplete taxonomy"
 msgstr "Compléter la taxonomie automatiquement"
-msgid "Left"
-msgstr "Gauche"
-msgid "Right"
-msgstr "Droit"
 msgid "Send yourself a copy."
 msgstr "M'envoyer une copie."
 msgid "Your message has been sent."
@@ -1954,14 +1946,20 @@ msgid "Redirect to URL"
 msgstr "Redirection vers une URL"
 msgid "details"
 msgstr "détails"
+msgid "Top left"
+msgstr "Haut gauche"
+msgid "Top right"
+msgstr "Haut droit"
+msgid "Bottom right"
+msgstr "Bas droit"
+msgid "Bottom left"
+msgstr "Bas gauche"
 msgid "The username %name has not been activated or is blocked."
 msgstr "Le nom d'utilisateur %name n'a pas été activé ou est bloqué."
 msgid "Login attempt failed for %user."
 msgstr "Échec de connexion pour %user."
 msgid "image"
 msgstr "image"
-msgid "<Hidden>"
-msgstr "-Caché-"
 msgid "Revision of %title from %date"
 msgstr "Révision de %title du %date"
 msgid "The username of the user to which you would like to assign ownership."
@@ -2895,19 +2893,6 @@ msgid "Only of the type(s)"
 msgstr "Seulement du ou des types"
 msgid "Content ranking"
 msgstr "Classement du contenu"
-msgid ""
-"The following numbers control which properties the content search "
-"should favor when ordering the results. Higher numbers mean more "
-"influence, zero means the property is ignored. Changing these numbers "
-"does not require the search index to be rebuilt. Changes take effect "
-"immediately."
-msgstr ""
-"Les paramètres suivants permettent de favoriser certaines "
-"propriétés plutôt que d'autres lors du tri des résultats de "
-"recherche. Un nombre plus élevé signifie que la propriété aura "
-"plus d'influence, zero signifie que la propriété sera ignorée. "
-"Changer ces paramètres n'oblige pas à recréer l'index : les "
-"changements prennent effet immédiatement."
 msgid "Keyword relevance"
 msgstr "Pertinence des mots clés"
 msgid "Recently posted"
@@ -3314,7 +3299,7 @@ msgstr "Affichage du bloc de navigation du livre"
 msgid "Relations"
 msgstr "Relations"
 msgid "Password field is required."
-msgstr "Le champ mot de passe est obligatoire."
+msgstr "Le champ mot de passe est requis."
 msgid "Confirm password"
 msgstr "Confirmer le mot de passe"
 msgid "No content available."
@@ -3510,7 +3495,7 @@ msgstr "Onglets secondaires"
 msgid "Enable or disable the display of certain page elements."
 msgstr "Activer ou désactiver l'affichage de certains éléments des pages."
 msgid "Add new content"
-msgstr "Ajouter du nouveau contenu"
+msgstr "Ajouter un nouveau contenu"
 msgid "Boolean"
 msgstr "Booléen"
 msgid "Maximum image resolution"
@@ -6024,7 +6009,7 @@ msgstr "Les caches ont été vidés."
 msgid "Select an image processing toolkit"
 msgstr "Sélectionnez une boîte à outils de traitement d'image"
 msgid "Number of items in each feed"
-msgstr "Nombre d'éléments pour chaque flux"
+msgstr "Nombre d'éléments dans chaque flux"
 msgid "Default number of items to include in each feed."
 msgstr "Le nombre d'éléments par défaut à inclure dans chaque flux."
 msgid "Feed content"
@@ -6611,6 +6596,10 @@ msgid "The name of the site."
 msgstr "Le nom du site."
 msgid "Region settings"
 msgstr "Paramètres de la région"
+msgid "Top center"
+msgstr "En haut au centre"
+msgid "Bottom center"
+msgstr "En bas au centre"
 msgid "Format string"
 msgstr "Chaine de format"
 msgid "Are you sure you want to remove the format %format?"
@@ -9065,7 +9054,7 @@ msgstr ""
 "Convertir les sauts de ligne en HTML (par exemple, "
 "<code>&lt;br&gt;</code> et <code>&lt;p&gt;</code>)"
 msgid "Convert URLs into links"
-msgstr "Convertir les URL en liens"
+msgstr "Convertir les URLs en liens"
 msgid "Correct faulty and chopped off HTML"
 msgstr "Corriger le HTML défectueux ou coupé"
 msgid "Display any HTML as plain text"
@@ -10096,14 +10085,14 @@ msgstr ""
 msgid "The menu link was reset to its default settings."
 msgstr "Le lien de menu a été réinitialisé à ses valeurs par défaut."
 msgid "No Main links"
-msgstr "Aucun lien principal"
+msgstr "Aucun menu principal"
 msgid "Source for the Main links"
-msgstr "Source des Liens principaux"
+msgstr "Source pour le menu principal"
 msgid ""
 "Select what should be displayed as the Main links (typically at the "
 "top of the page)."
 msgstr ""
-"Sélectionner ce qui doit être affiché comme Liens principaux "
+"Sélectionner ce qui doit être affiché comme menu principal  "
 "(typiquement en haut de page)."
 msgid "No Secondary links"
 msgstr "Aucun lien secondaire"
@@ -10292,7 +10281,7 @@ msgstr "Afficher l'auteur et la date."
 msgid "Author username and publish date will be displayed."
 msgstr ""
 "Le nom d'utilisateur de l'auteur et la date de publication seront "
-"affichés"
+"affichés."
 msgid "Invalid machine-readable name. Enter a name other than %invalid."
 msgstr "Nom interne incorrect. Entrer un nom différent de \"%invalid\"."
 msgid ""
@@ -10591,7 +10580,7 @@ msgid_plural "@count permissions in use"
 msgstr[0] "@count permission utilisée"
 msgstr[1] "@count permissions utilisées"
 msgid "Find and manage content."
-msgstr "Trouver et gérer un contenu."
+msgstr "Trouver et gérer le contenu."
 msgid ""
 "Manage content types, including default status, front page promotion, "
 "comment settings, etc."
@@ -11735,7 +11724,7 @@ msgid ""
 "document. Leave blank to display a generic \"page not found\" page."
 msgstr ""
 "Cette page est affichée lorsque aucun contenu ne correspond au "
-"document demandé. Laisser vide pour afficher une page \"Page non "
+"document demandé. Laisser vide pour afficher une page \"page non "
 "trouvée\" générique."
 msgid "Errors and warnings"
 msgstr "Erreurs et avertissements"
@@ -11745,13 +11734,13 @@ msgid ""
 "<strong class=\"error\">Set up the <a href=\"!file-system\">public "
 "files directory</a> to make these optimizations available.</strong>"
 msgstr ""
-"<strong class=\"error\">Configurer le<a "
+"<strong class=\"error\">Configurer le <a "
 "href=\"!file-system\">répertoire de fichiers publics</a> pour rendre "
 "cette optimisation disponible.</strong>"
 msgid "Bandwidth optimization"
 msgstr "Optimisation de la bande passante"
 msgid "Compress cached pages."
-msgstr "Compression des pages cachées."
+msgstr "Compression des pages mises en cache."
 msgid "Public file system path"
 msgstr "Chemin du système public de fichier"
 msgid ""
@@ -15490,11 +15479,11 @@ msgid ""
 msgstr ""
 "Une fois activé, seul les utilisateurs avec la <a "
 "href=\"@permissions-url\">permission</a> \"Utiliser le site en mode "
-"maintenance\" sont capables d'accéder à votre site pour effectuer de "
-"la maintenance; tous les autres visiteurs voient le message du mode de "
-"maintenance configuré ci dessous. Les utilisateurs autorisés peuvent "
-"se connecter directement par la <a href=\"@user-login\">page de "
-"connexion utilisateur</a>."
+"maintenance\" sont habilités à accéder à votre site pour effectuer "
+"de la maintenance; tous les autres visiteurs voient le message de "
+"maintenance qui est configuré ci-dessous. Les utilisateurs autorisés "
+"peuvent se connecter directement par la <a href=\"@user-login\">page "
+"de connexion utilisateur</a>."
 msgid ""
 "In order for the site and its modules to continue to operate well, a "
 "set of routine administrative operations must run on a regular basis. "
@@ -16316,6 +16305,10 @@ msgid ""
 msgstr ""
 "Liste des valeurs autorisées : certaines valeurs sont sur le point "
 "d'être retirées alors qu'elles sont actuellement utilisées."
+msgid "Center left"
+msgstr "Au milieu à gauche"
+msgid "Center right"
+msgstr "Au milieu à droite"
 msgid ""
 "Failed to connect to the server. The server reports the following "
 "message: !message For more help installing or updating code on your "
@@ -16592,6 +16585,8 @@ msgstr ""
 "privés</a>."
 msgid "Curaçao"
 msgstr "Curaçao"
+msgid "Sint Maarten"
+msgstr "Saint-Martin"
 msgid "Missing bundle property on entity of type @entity_type."
 msgstr "Propriété de bundle manquante sur l'entité de type @entity_type."
 msgid "Fields type(s) in use"
@@ -16795,6 +16790,8 @@ msgid "Public files directory"
 msgstr "Répertoire des fichiers publics"
 msgid "Temporary files directory"
 msgstr "Répertoire des fichiers temporaires"
+msgid "Private files directory"
+msgstr "Répertoire des fichiers privés"
 msgid "Subscribe to !feed-title"
 msgstr "S'abonner à !feed-title"
 msgid "Theme hook %hook not found."
@@ -16813,3 +16810,59 @@ msgid "Uyghur"
 msgstr "Ouïghours"
 msgid "Install another module"
 msgstr "Installer un autre module"
+msgid "South Sudan"
+msgstr "Soudan du Sud"
+msgid "Get an overview of <a href=\"@url\">all content</a>."
+msgstr "Avoir un aperçu de <a href=\"@url\">tous les contenus</a>."
+msgid "Get an overview of all content."
+msgstr "Avoir un aperçu de tous les contenus."
+msgid "Invalid or missing cache bin specified: %bin"
+msgstr "Le bin de cache spécifié %bin est manquant ou invalide"
+msgid "Caribbean Netherlands"
+msgstr "Pays-Bas caribéens"
+msgid ""
+"More information about setting up scheduled tasks can be found by <a "
+"href=\"@url\">reading the cron tutorial on drupal.org</a>."
+msgstr ""
+"Pour plus d'information sur la mise en place des tâches planifiées, "
+"consultez <a href=\"@url\">le tutoriel de mise en place d'un cron sur "
+"drupal.org</a>."
+msgid "Use Ajax to increment the counter"
+msgstr "Utiliser Ajax pour incrémenter le compteur"
+msgid ""
+"Perform the count asynchronously after page load rather than during "
+"page generation."
+msgstr ""
+"Effectuer le calcul de manière asynchrone après le chargement de la "
+"page plutôt que pendant sa construction."
+msgid "Not fully protected"
+msgstr "Pas entièrement protégé"
+msgid ""
+"See <a href=\"@url\">@url</a> for information about the recommended "
+".htaccess file which should be added to the %directory directory to "
+"help protect against arbitrary code execution."
+msgstr ""
+"Voir <a href=\"@url\">@url</a> pour plus d'informations sur le fichier "
+".htaccess recommandé qui devrait être créé dans le répertoire "
+"%directory pour empêcher l'exécution de code arbitraire."
+msgid "Influence"
+msgstr "Influence"
+msgid ""
+"Influence is a numeric multiplier used in ordering search results. A "
+"higher number means the corresponding factor has more influence on "
+"search results; zero means the factor is ignored. Changing these "
+"numbers does not require the search index to be rebuilt. Changes take "
+"effect immediately."
+msgstr ""
+"L'influence est un multiplicateur numérique utilisé dans le tri des "
+"résultats de recherche. Un nombre plus élevé signifie que le "
+"facteur correspondant a plus d'influence sur les résultats de la "
+"recherche; zéro signifie que le facteur est ignoré. La modification "
+"de ce nombre ne nécessite pas de reconstruire l'index. Les "
+"modifications prennent effet immédiatement."
+msgid ""
+"Form build-id mismatch detected while attempting to store a form in "
+"the cache."
+msgstr ""
+"Une incohérence de l'identifiant du formulaire a été détectée "
+"lors de la tentative d'enregistrement dans le cache."
diff --git a/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info b/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
index 4503565c..cca4c933 100644
--- a/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
+++ b/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 files[] = drupal_system_listing_compatible_test.test
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info b/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
index 6d2954cb..072f4796 100644
--- a/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
+++ b/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
@@ -8,8 +8,8 @@ version = VERSION
 core = 6.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/profiles/testing/testing.info b/drupal7/profiles/testing/testing.info
index f5c4d2ae..698c96fc 100644
--- a/drupal7/profiles/testing/testing.info
+++ b/drupal7/profiles/testing/testing.info
@@ -4,8 +4,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/themes/bartik/bartik.info b/drupal7/themes/bartik/bartik.info
index 343664c8..d34da763 100644
--- a/drupal7/themes/bartik/bartik.info
+++ b/drupal7/themes/bartik/bartik.info
@@ -34,8 +34,8 @@ regions[footer] = Footer
 settings[shortcut_module_link] = 0
 
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/themes/garland/garland.info b/drupal7/themes/garland/garland.info
index ee3b8202..eda0d24c 100644
--- a/drupal7/themes/garland/garland.info
+++ b/drupal7/themes/garland/garland.info
@@ -7,8 +7,8 @@ stylesheets[all][] = style.css
 stylesheets[print][] = print.css
 settings[garland_width] = fluid
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/themes/seven/seven.info b/drupal7/themes/seven/seven.info
index 3cb21af1..73d85855 100644
--- a/drupal7/themes/seven/seven.info
+++ b/drupal7/themes/seven/seven.info
@@ -13,8 +13,8 @@ regions[page_bottom] = Page bottom
 regions[sidebar_first] = First sidebar
 regions_hidden[] = sidebar_first
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
diff --git a/drupal7/themes/stark/stark.info b/drupal7/themes/stark/stark.info
index d8bdd339..d4eb4cb6 100644
--- a/drupal7/themes/stark/stark.info
+++ b/drupal7/themes/stark/stark.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 stylesheets[all][] = layout.css
 
-; Information added by Drupal.org packaging script on 2014-05-08
-version = "7.28"
+; Information added by Drupal.org packaging script on 2014-07-16
+version = "7.29"
 project = "drupal"
-datestamp = "1399522731"
+datestamp = "1405543132"
 
